org.apache.bcel.classfile

## Class LocalVariableTypeTable

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.LocalVariableTypeTable

- All Implemented Interfaces:
    Cloneable, Iterable<LocalVariable>, Node

      public class LocalVariableTypeTable
      extends Attribute
      implements Iterable<LocalVariable>

  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, EMPTY_ARRAY, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVariableTypeTable(int nameIndex, int length, LocalVariable[] localVariableTypeTable, ConstantPool constantPool)`
    `LocalVariableTypeTable(LocalVariableTypeTable c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool constantPool)`
    `void` | `dump(DataOutputStream file)` Dumps attribute to file stream in binary format.
    `LocalVariable` | `getLocalVariable(int index)`
    `LocalVariable[]` | `getLocalVariableTypeTable()`
    `int` | `getTableLength()`
    `Iterator<LocalVariable>` | `iterator()`
    `void` | `setLocalVariableTable(LocalVariable[] localVariableTable)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### LocalVariableTypeTable

          public LocalVariableTypeTable(int nameIndex,
                                        int length,
                                        LocalVariable[] localVariableTypeTable,
                                        ConstantPool constantPool)

    - #### LocalVariableTypeTable

          public LocalVariableTypeTable(LocalVariableTypeTable c)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Description copied from class: `Attribute`
      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### copy

          public Attribute copy(ConstantPool constantPool)

      Specified by:
        `copy` in class `Attribute`
      Parameters:
        `constantPool` - constant pool to save.
      Returns:
        deep copy of this attribute

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Description copied from class: `Attribute`
      Dumps attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException` - if an I/O error occurs.

    - #### getLocalVariable

          public final LocalVariable getLocalVariable(int index)

    - #### getLocalVariableTypeTable

          public final LocalVariable[] getLocalVariableTypeTable()

    - #### getTableLength

          public final int getTableLength()

    - #### iterator

          public Iterator<LocalVariable> iterator()

      Specified by:
        `iterator` in interface `Iterable<LocalVariable>`

    - #### setLocalVariableTable

          public final void setLocalVariableTable(LocalVariable[] localVariableTable)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Attribute`
      Returns:
        String representation.

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.